EDIT - bug #7668

NPE when changing author
08/21/2018 09:44 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

mail of Sabine:
Hallo,

beim Versuch bei der Art Arenaria brachypetala den Autor zu &ndern (Auswahl eines anderen aus der Liste, T.N.Popova statt
Popova), 6ffneten sich ganz viele Fehlerfenster mit dieser Meldung:

login : s.vonmering
editor version : 5.2.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp
schema version : 5.0.0.0.20180514
os : Windows 7 6.1 amdé64
java : 1.8.0_171
org.eclipse.swt.SWTException: Failed to execute runnable (org.eclipse.ed.core.di.InjectionExceptio
n: java.lang.NullPointerException)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse.jface.window.Window.open (Window. java:794)
at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)
at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse.jface.window.Window.open (Window. java:794)
at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)
at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse.jface.window.Window.open (Window. java:794)
at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)
at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse.jface.window.Window.open (Window. java:794)
at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)
at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
swt.widgets.RunnableLock.run (RunnableLock. java:35)
swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
swt.widgets.Display.runAsyncMessages (Display.java:4211)
swt.widgets.Display.readAndDispatch (Display. java:3827)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE

ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at
sun.
eclipse.
eclipse.
reflect.
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
NativeMethodAccessorImpl.invokeO (Native Method)
NativeMethodAccessorImpl.invoke (Unknown Source)
DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.
org.
org.
Caused by: org.eclipse.
org.

org

eclipse.
eclipse.
eclipse.
ed.core.
eclipse.

.eclipse.

tObjectSupplier. java:56)
at org.eclipse.
at org.eclipse.
equinox.launcher.Main.invokeFramework (Main. java:673)
equinox.launcher.Main.basicRun (Main. java:610)
equinox.launcher.Main.run (Main. java:1519)

di.InjectionException: java.lang.NullPointerException
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65

ed.ui.internal.di.UIEventObjectSupplier$UIEventHandler$l.run (UIEven

swt.widgets.RunnableLock.run (RunnablelLock. java:35)
swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
87 more
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4.updateView (TaxonNameEdi

torE4.java:741)

at sun.reflect.GeneratedMethodAccessorl26.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55

90 more

Related issues:

Related to EDIT - bug #8077: recursive call of errorDialog.open caused by an ...

New

Associated revisions

Revision 457199e5 - 02/05/2019 11:42 AM - Katja Luther
fix #7668: fix potential NPE

Revision 5ba8876f - 02/05/2019 12:05 PM - Katja Luther
ref #7668: add null check for name

History

#1 - 08/21/2018 10:16 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.3

#2 - 09/06/2018 01:26 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#3 - 10/23/2018 10:42 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#4 - 02/05/2019 11:43 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|457199e546b7fbd9f1162b5b81b3d10ba7ec928f.

#5 - 02/05/2019 11:44 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

null check for all potential occurrences of NPE

#6 - 02/06/2019 10:51 PM - Andreas Miiller

this.taxon != null && this.taxon.getName().equals(cdmbase) should include an additional this.taxon.getName() != null check maybe?

#7 - 02/06/2019 10:54 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Also | wonder why " 6ffneten sich ganz viele Fehlerfenster". Has this to do with some kind of recursion? Can this be avoided for somehow for similar

issues? Only if obvious, | don't think this is an issue that often happens.

#8 - 02/07/2019 01:21 PM - Katja Luther

Andreas Muller wrote:

this.taxon != null && this.taxon.getName().equals(cdmbase) should include an additional this.taxon.getName() != null check maybe?

this is already done, see r5ba8876f
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/457199e546b7fbd9f1162b5b81b3d10ba7ec928f

#9 - 02/07/2019 01:31 PM - Andreas Miiller
- % Done changed from 50 to 80

Katja Luther wrote:
Andreas Miiller wrote:

this.taxon != null && this.taxon.getName().equals(cdmbase) should include an additional this.taxon.getName() != null check maybe?

this is already done, see r5ba8876f

ok, sorry, | only checked the first commit.

So | think if you have no idea how to handle/fix note-7 we can close this ticket

#10 - 02/07/2019 01:39 PM - Katja Luther
- Status changed from Feedback to Closed

Andreas Muller wrote:
Katja Luther wrote:
Andreas Mller wrote:

this.taxon != null && this.taxon.getName().equals(cdmbase) should include an additional this.taxon.getName() != null check maybe?

this is already done, see r5ba8876f

ok, sorry, | only checked the first commit.

So | think if you have no idea how to handle/fix note-7 we can close this ticket

I think there was an exception in the error dialog, maybe this is an extra ticket. (-> #8077)

#11 - 02/07/2019 01:42 PM - Katja Luther
- Related to bug #8077: recursive call of errorDialog.open caused by an SWTException added
https://dev.e-taxonomy.eu/redmine/issues/8077
